> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 워크스페이스 업데이트

> 워크스페이스 이름을 업데이트합니다.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json PATCH /v1/public/accounts/{account_id}/workspaces/{workspace_id}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/workspaces/{workspace_id}:
    patch:
      tags:
        - public-accounts
        - public-workspaces
      summary: 워크스페이스 업데이트
      description: 워크스페이스 이름을 업데이트합니다.
      operationId: >-
        update_public_workspace_v1_public_accounts__account_id__workspaces__workspace_id__patch
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: workspace_id
          required: true
          schema:
            format: uuid
            title: Workspace Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkspaceRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - PublicBearerAuth: []
components:
  schemas:
    WorkspaceRequest:
      description: 워크스페이스 생성 또는 업데이트를 위한 요청 스키마.
      properties:
        name:
          description: 작업공간 표시 이름
          maxLength: 255
          minLength: 1
          title: 이름
          type: string
      required:
        - name
      title: WorkspaceRequest
      type: object
    WorkspaceResponse:
      properties:
        account_id:
          description: 워크스페이스를 소유한 계정 UUID
          format: uuid
          title: 계정 Id
          type: string
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: 작업공간 생성 타임스탬프
          title: 생성일
        id:
          description: 워크스페이스 UUID
          format: uuid
          title: ID
          type: string
        name:
          description: 작업공간 표시 이름
          title: 이름
          type: string
        status:
          default: active
          description: 작업공간 수명주기 상태
          title: 상태
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Workspace 최종 업데이트 타임스탬프
          title: 업데이트일
      required:
        - id
        - name
        - account_id
      title: WorkspaceResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````